Subject: Re: [PATCH 2/2] i2c: qcom-geni: Provide an option to disable DMA processing

From: Wolfram Sang <[email-masked]>
Date: Thu, 5 Sep 2019 15:43:38 +0200

On Thu, Sep 05, 2019 at 10:28:16AM +0100, Lee Jones wrote:
> On Thu, 05 Sep 2019, Wolfram Sang wrote:
> 
> > 
> > > Fixes: 8bc529b25354 ("soc: qcom: geni: Add support for ACPI")
> > 
> > Are you sure? From visual inspection, I don't see a correlation between
> > this commit and the fix here.
> 
> This patch should have been part of the commit, or at the very least,
> part of the set, alluded to above.  Unfortunately, I was carrying
> Bjorn's hack which simply returned early from geni_se_rx_dma_prep()
> with an error, so it masked the issue.

I still don't see why this basic ACPI enabling code (not touching DMA
but only clocks and pinctrl) causes and additional handling for DMA. Am
I overlooking something obvious?

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel